edu.isi.pegasus.planner.catalog.site.classes

## Class WorkerNodeScratch

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.classes.SiteData
  - - edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData
    - - edu.isi.pegasus.planner.catalog.site.classes.StorageType
      - - edu.isi.pegasus.planner.catalog.site.classes.WorkerNodeScratch

All Implemented Interfaces:
  java.lang.Cloneable

    public class WorkerNodeScratch
    extends StorageType

This data class describes the scratch area on a head node. The difference from the worker node scratch is that it additionally has a worker shared directory that designates the shared directory amongst the worker nodes.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`protected WorkerSharedDirectory` `mWorkerShared` The directory shared only amongst the worker nodes.

### Fields inherited from class edu.isi.pegasus.planner.catalog.site.classes.StorageType

`mLocalDirectory, mSharedDirectory`

### Constructor Summary

Constructors
Constructor and Description
`WorkerNodeScratch()` The default constructor
`WorkerNodeScratch(LocalDirectory local, SharedDirectory shared)` The overloaded constructor.
`WorkerNodeScratch(StorageType type)` The overloaded constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Returns the clone of the object.
`WorkerSharedDirectory` `getWorkerSharedDirectory()` Returns the directory shared amongst the worker nodes only.
`void` `setWorkerSharedDirectory(WorkerSharedDirectory directory)` Sets the directory shared amongst the worker nodes only.
`void` `toXML(java.io.Writer writer, java.lang.String indent)` Writes out the xml description of the object.

### Methods inherited from class edu.isi.pegasus.planner.catalog.site.classes.StorageType

`accept, getLocalDirectory, getSharedDirectory, setLocalDirectory, setLocalDirectory, setSharedDirectory, setSharedDirectory`

### Methods inherited from class edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData

`toString, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mWorkerShared

    protected WorkerSharedDirectory mWorkerShared

The directory shared only amongst the worker nodes.

### Constructor Detail

#### WorkerNodeScratch

    public WorkerNodeScratch()

The default constructor

#### WorkerNodeScratch

    public WorkerNodeScratch(StorageType type)

The overloaded constructor

Parameters:
  `type` - StorageType

#### WorkerNodeScratch

    public WorkerNodeScratch(LocalDirectory local,
                             SharedDirectory shared)

The overloaded constructor.

Parameters:
  `local` - the local directory on the node.
  `shared` - the shared directory on the node.

### Method Detail

#### setWorkerSharedDirectory

    public void setWorkerSharedDirectory(WorkerSharedDirectory directory)

Sets the directory shared amongst the worker nodes only.

Parameters:
  `directory` - the worker node shared directory.

#### getWorkerSharedDirectory

    public WorkerSharedDirectory getWorkerSharedDirectory()

Returns the directory shared amongst the worker nodes only.

Returns:
  the worker shared directory.

#### clone

    public java.lang.Object clone()

Returns the clone of the object.

Overrides:
  `clone` in class `StorageType`
Returns:
  the clone

#### toXML

    public void toXML(java.io.Writer writer,
                      java.lang.String indent)
               throws java.io.IOException

Writes out the xml description of the object.

Overrides:
  `toXML` in class `StorageType`
Parameters:
  `writer` - is a Writer opened and ready for writing. This can also be a StringWriter for efficient output.
  `indent` - the indent to be used.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.